VME Intensity Monitor - Feature #9391
Milestone # 9388 (New): 2015 Shutdown

Implement MDAT Receiver
07/07/2015 03:08 PM - Roger Tokarek

Status: Assigned Start date: 07/07/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 16.00 hours
Target version: Spent time: 10.00 hours
Description

Read MI momentum from MDAT and use to correct the DCCT Intensity reading.

History

#1 - 07/07/2015 04:04 PM - John Diamond
- File image.jpg added

Attached is the original note from Tom Meyer's logbook concerning the momentum correction for beam intensity readings from the MI DCCT.

#2 - 07/07/2015 04:07 PM - John Diamond
MI p is MDAT frame $30.

https://www-bd.fnal.gov/controls/hardware_vogel/mdat.htm

#3 - 08/27/2015 12:52 PM - Roger Tokarek
- Estimated time set to 16.00 h

#4 - 09/21/2015 10:17 PM - John Diamond
- Status changed from New to Assigned
- Assignee changed from Roger Tokarek to John Diamond

- % Done changed from 0 to 30

Implemented the PMCUCDMDATDrv class - a driver for the PMC-UCD MDAT Receiver.

#5 - 09/22/2015 11:48 AM - John Diamond

Verified that we can load the new MDAT stuff on the target (mi14tor).
Created MDAT::rxEnable() and MDAT::txEnable to load the MDAT receiver and transmitter drivers dynamically since not all VMEINT nodes will have
one or both of these devices.

#6 - 09/22/2015 12:53 PM - John Diamond

Implemented the vmeintMDATChannel(..) shell command.

#7 - 09/22/2015 09:41 PM - John Diamond
- % Done changed from 30 to 50

Implemented filters, which gives us a flexible way to filter the raw intensity signal before returning it to the user. One such use case is the Ml True
Intensity Filter (MITruelntensityFilter class) which applies the formula referenced above to the intensity signal using the Ml p read from MDAT.

#8 - 09/22/2015 10:47 PM - John Diamond
Commands for configuring filter chains:
e vmeintFilterChainCreate chainlD, devicelD - creates a filter chain identified by 'chainID' and filtering intensity device identified by 'devicelD'

¢ vmeintFilterMITruelntensityCreate chainlD - Adds a MI True Intensity filter to filter chain idenfitified by ‘chainID’
e vmeintFilterRunAvgCreate chainID - Adds a running average filter to filter chain identified by 'chainID'

#9 - 09/23/2015 11:58 AM - John Diamond

10/21/2020 1/2



https://www-bd.fnal.gov/controls/hardware_vogel/mdat.htm

- % Done changed from 50 to 80

Implemented FilterChainAccessor, which provides ACNET with access to the output from any filter in a filter chain.
Also, implemented the vmeintFilterChainACNETCreate( devicelD, chainlD ) command. This maps an ACNET device (SSDN device ID) to a filter
chain. The SSDN channel field can be used to select which filter in the chain returns data to ACNET.

#10 - 09/23/2015 01:50 PM - John Diamond
Got anub to boot from anubstartup (target MVMES5500-anub_64).

#11 - 09/23/2015 04:27 PM - John Diamond
- % Done changed from 80 to 90

Created a filter chain for the MI DCCT:

vmeintFilterChainCreate 0, 0
vmeintFilterMITrueIntensityCreate 0
vmeintFilterRunAvgCreate 0, 10

Made a test device called Z:DCCT with SSDN device ID 0x80:

vmeintFilterChainACNETCreate 0x80, O

Was able to FTP without any problems, but with no signal. Will need beam and an Ml ramp to fully test the true intensity filter...
